<?php
declare(strict_types=1);

namespace App\Foundation\Contracts;

interface ServiceContainerInterface
{
    public function set(string $id, mixed $service): void;
    public function singleton(string $id, callable $factory): void;
    public function has(string $id): bool;
    public function get(string $id): mixed;
}
